
#ifndef GUARD_disp_h
#define GUARD_disp_h

#include "common.h"

extern float disp_vref;
/*  Basic display functions for allowing collected data to be displayed in 
various different formats on the LCD. */
float code2volt(float c);
float code2enob(float c);
u32 abs32(s32 i);
void showvolt(float volts);
void showenob(float enob);
void showhex(s32 code);
void showint(s32 code);
void showdec(float code);

/* Scrolls a message.  If key is 1, scrolls continuously 
until a key is pressed.  Speed is defined by 
MARQUEE_SPEED in common.h */
void marquee(char *s, int key);

#ifdef TEMP
// c = code, f != 0: fahrenheit
void showtemp(float c, int f);
#endif

#endif
